
QGIS Application - Bug report #19803

QGIS Crashes when tensorflow is imported from internal python console

2018-09-10 10:16 AM - Asad Abbas

Status: Closed

Priority: High

Assignee:

Category: PyQGIS Console

Affected QGIS version:3.2.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 27628

Description

User Feedback

Report Details

Crash ID: 7c63bed250bb7286e1288b59ca10b7818787e5d3

Stack Trace

PyInit__conv :

PyInit__conv :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_FastCallDict :

Py_FatalError :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :
PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_FastCallDict :

Py_FatalError :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_FastCallDict :

Py_FatalError :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :
PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_FastCallDict :

Py_FatalError :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_FastCallDict :

Py_FatalError :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :
PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_FastCallDict :

Py_FatalError :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_FastCallDict :

Py_FatalError :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :
PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_FastCallDict :

Py_FatalError :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_FastCallDict :

Py_FatalError :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :
PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_FastCallDict :

Py_FatalError :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_CallFunctionObjArgs :

PyObject_Call :

PyInit_sip :

PyInit_Qsci :

QWidget::event :

QFrame::event :

QAbstractScrollArea::event :

PyInit_Qsci :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processKeyEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.2-Bonn

QGIS code revision: commit:26842169e9

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2
Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2018-09-10 10:22 AM - Asad Abbas

User Feedback

I tried to import tensorflow from internal python console.

Report Details

Crash ID: 6eda423981b7e1c7dd8acbe16c68a794b34d16a1

Stack Trace

PyInit__conv :

PyInit__conv :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_FastCallDict :

Py_FatalError :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :
PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_FastCallDict :

Py_FatalError :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_FastCallDict :

Py_FatalError :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

2024-05-21 8/14



PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_FastCallDict :

Py_FatalError :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_FastCallDict :

Py_FatalError :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_FastCallDict :

Py_FatalError :

PyErr_Occurred :
PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_FastCallDict :

Py_FatalError :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_FastCallDict :

Py_FatalError :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_Call :

PyEval_EvalFrameDefault :
PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_FastCallDict :

Py_FatalError :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_FastCallDict :

Py_FatalError :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :
PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_FastCallDict :

Py_FatalError :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_Call :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_FastCallDict :

PyObject_CallMethodIdObjArgs :

PyImport_ImportModuleLevelObject :

PyException_SetCause :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyFunction_FastCallDict :

PyObject_FastCallDict :

Py_FatalError :

PyErr_Occurred :

PyEval_EvalCode :

PyDict_SetItemId :

PyDict_SetItemId :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyFunction_FastCallDict :

PyObject_CallFunctionObjArgs :

PyObject_Call :

PyInit_sip :

PyInit_Qsci :

QWidget::event :

QFrame::event :

QAbstractScrollArea::event :

PyInit_Qsci :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :
QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processKeyEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.2-Bonn

QGIS code revision: commit:26842169e9

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

#2 - 2018-09-10 10:43 AM - Giovanni Manghi

- Priority changed from Normal to High

- Category changed from Python plugins to PyQGIS Console

#3 - 2018-09-14 10:17 PM - Lucas Lo Vercio

Dear Giovanni,

I am trying to import keras (with tensorflow backend) in QGIS 3.2.2, and I am getting this error:

import tensorflow

Traceback (most recent call last):

  File "/home/piddef/.local/lib/python3.6/site-packages/tensorflow/python/pywrap_tensorflow.py", line 58, in <module>

    from tensorflow.python.pywrap_tensorflow_internal import *

...

File "/usr/lib/python3.6/imp.py", line 343, in load_dynamic

    return _load(spec)

ImportError: libcublas.so.9.0: cannot open shared object file: No such file or directory

Is this the same problem that you have detected?

When I execute help("modules"), tensorflow is on the list

#4 - 2018-10-24 03:32 PM - Samson Boadi

QGIS Crashes when tensorflow is imported from internal python console
Hello,

I have similar issue as Asab Abass. The Error and trace back is similar.

I tried to import tensorflow in Qgis 3.2.2, and I get similar error like Abass.

I hope this issue can be solved soon.

#5 - 2018-11-08 01:31 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#6 - 2019-02-23 08:37 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
